= nng_strerror(3)
//
// Copyright 2018 Staysail Systems, Inc. <info@staysail.tech>
// Copyright 2018 Capitar IT Group BV <info@capitar.com>
//
// This document is supplied under the terms of the MIT License, a
// copy of which should be located in the distribution where this
// file was obtained (LICENSE.txt).  A copy of the license may also be
// found online at https://opensource.org/licenses/MIT.
//

== NAME

nng_strerror - return an error description

== SYNOPSIS

[source, c]
----
#include <nng/nng.h>

const char * nng_strerror(int err);
----

== DESCRIPTION

The `nng_strerror()` returns the human-readable description of the
given error in `err`.

NOTE: The returned error message is provided in US English, but in the
future locale-specific strings may be presented instead.

NOTE: The specific strings associated with specific error messages are
subject to change.
Therefore applications must not depend on the message,
but may use them verbatim when supplying information to end-users, such
as in diagnostic messages or log entries.

== RETURN VALUES

This function returns the human-readable error message, terminated
by a `NUL` byte.

== SEE ALSO

[.text-left]
xref:libnng.3.adoc[libnng(3)],
xref:nng.7.adoc[nng(7)]
